/*
 *  $Header: /auto/nfs/sequoia/u/home/rws/pextk/src/pextk_glyphs.h,v 1.1 1993/10/12 00:07:43 rws Exp $
 ******************************************************************************
 ******************************************************************************
 *****                        pextk_glyphs.h                              *****
 *****									  *****
 *****		    An Immediate Mode Interface to PEX			  *****
 *****									  *****
 *****									  *****
 *****     This file contains the glyphs used to define other marker      *****
 *****	   types. (For use with -DMPEX).				  *****
 *****									  *****
 *                                                                            *
 *	Copyright 1992, All Rights Reserved                                   *
 *			SHOgraphics					      *
 *			1890 North Shoreline Blvd			      *
 *			Mountain View, CA    94043			      *
 *                                                                            *
 *****									  *****

    Permission to use, copy, modify, and distribute this software and
 its documentation for any purpose and without fee is hereby granted,
 provided that the above copyright notice appear in all copies and that
 both that copyright notice and this permission notice appear in
 supporting documentation, and that the names of SHOgraphics,
 the X Consortium, and MIT not be used in advertising or publicity
 pertaining to distribution of the software without specific, written
 prior permission.

 SHOGRAPHICS DISCLAIMS ANY AND ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 INCLUDING ALL EXPRESSED AND IMPLIED WARRANTIES OF MERCHANTABILITY AND
 FITNESS. IN NO EVENT SHALL SHOGRAPHICS BE LIABLE FOR ANY DAMAGES OF ANY
 KIND, INCLUDING BUT NOT LIMITED TO SPECIAL, INDIRECT OR CONSEQUENTIAL 
 DAMAGES RESULTING FROM LOSS OF USE, DATA OR PROSPECTIVE PROFITS, WHETHER 
 IN AN ACTION OF CONTRACT, NEGLIENCE OR OTHER TORTIOUS ACTION, ARISING OUT 
 OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

 ************************************************************************ */

/*
 * Some different shape Marker types
 */

/* a box marker type */
static unsigned char mrkr_glyph1[32] = {
 0x00, 0x00, 0x00, 0x00, 0xfc, 0x3f, 0x04, 0x20, 0x04, 0x20, 0x04, 0x20,
 0x04, 0x20, 0x04, 0x20, 0x04, 0x20, 0x04, 0x20, 0x04, 0x20, 0x04, 0x20,
 0x04, 0x20, 0xfc, 0x3f, 0x00, 0x00, 0x00, 0x00 };

/* a small circle marker type */
static unsigned char mrkr_glyph2[32] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0x07, 0x20, 0x08, 0x10, 0x10,
   0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x20, 0x08, 0xc0, 0x07,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
