/*
 *  $Header: /auto/nfs/sequoia/u/home/rws/pextk/src/pextk_lcl.h,v 1.1 1993/10/12 00:07:43 rws Exp $
 ******************************************************************************
 ******************************************************************************
 *****                           pextk_lcl.h                              *****
 *****									  *****
 *****		    An Immediate Mode Interface to PEX			  *****
 *****									  *****
 *****									  *****
 *****     This module contains pointers used internally to modules       *****
 *****	   other than pextk.c						  *****
 *****									  *****
 *                                                                            *
 *	Copyright 1992, All Rights Reserved                                   *
 *			SHOgraphics					      *
 *			1890 North Shoreline Blvd			      *
 *			Mountain View, CA    94043			      *
 *                                                                            *
 *****									  *****

    Permission to use, copy, modify, and distribute this software and
 its documentation for any purpose and without fee is hereby granted,
 provided that the above copyright notice appear in all copies and that
 both that copyright notice and this permission notice appear in
 supporting documentation, and that the names of SHOgraphics,
 the X Consortium, and MIT not be used in advertising or publicity
 pertaining to distribution of the software without specific, written
 prior permission.

 SHOGRAPHICS DISCLAIMS ANY AND ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 INCLUDING ALL EXPRESSED AND IMPLIED WARRANTIES OF MERCHANTABILITY AND
 FITNESS. IN NO EVENT SHALL SHOGRAPHICS BE LIABLE FOR ANY DAMAGES OF ANY
 KIND, INCLUDING BUT NOT LIMITED TO SPECIAL, INDIRECT OR CONSEQUENTIAL 
 DAMAGES RESULTING FROM LOSS OF USE, DATA OR PROSPECTIVE PROFITS, WHETHER 
 IN AN ACTION OF CONTRACT, NEGLIENCE OR OTHER TORTIOUS ACTION, ARISING OUT 
 OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

 ************************************************************************ */

/* PEXlib variables */

	/* static pxlOCBuf		**OCBuf; /* current/active OC Buffer */
	static Display		*dpy;
	static GC		gc;


/* PEXtk variables */

	static PEXTK_OBJECT		*p__object;
	static PEXTK_STATE		*p_state;
	static PEXTK_BUILD		*p_build;
	static PEXTK_SUPPORT		*p_support;
	static PEXTK_BUFFER 		*p_buffer;
	static PEXTK_DLS_OBJECT		*p_dl;
	static CTABLE_OBJECT		*p_clr;
	static PEXTK_X			*p_x_data;

/* PEXtk local defines */
#define pixelvalue(r,g,b) (unsigned long) (((unsigned long)((r) * 255)<<16) \
  | ((unsigned long)((g) * 255)<< 8) | (unsigned long)((b) * 255))

#define DB_CHECK_DIRTY_MASK( mask ) \
	if( IMMEDIATE_MODE( p_state->sys_mode )) \
	    DB_check_dirty_mask( mask )
